Как установить метод ввода Sogou в Ubuntu 20.04

Я скачал 64-битный пакет для метода ввода Sogou отсюда https://pinyin.sogou.com/linux/

Когда я пытаюсь установить его Есть ошибки зависимостей в Ubuntu 20.04

Note, selecting 'sogoupinyin' instead of './sogoupinyin_2.3.1.0112_amd64.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 sogoupinyin : Depends: fcitx-frontend-qt4 but it is not installable
               Depends: libqtwebkit4 but it is not installable
E: Unable to correct problems, you have held broken packages.

Какое решение есть, чтобы заставить Sogou работать и работать в Ubuntu 20.04?

Спасибо

1
задан 19 June 2020 в 05:09

1 ответ

Я изменил файл .deb, т.е. удалил эти две зависимости. Результат можно скачать здесь:

https://people.ubuntu.com/~gunnarhj/sogoupinyin_2.3.1.0112+noQt4Deps_amd64.deb

Затем перейдите в папку «Загрузки» и выполните:

sudo apt install ./sogoupinyin_2.3.1.0112+noQt4Deps_amd64.deb

Но это должно действительно не нужно. Сопровождающие sogoupinyin должны портировать этот пакет на Qt5 или по крайней мере отбросить зависимости времени выполнения Qt4.

2
ответ дан 19 June 2020 в 21:22

Другие вопросы по тегам:

Похожие вопросы: